# $Id: libsigsegv.spec,v 1.3 2004/07/22 14:38:16 rexdieter Exp $

Summary: Handling page faults in user mode 
Name:    libsigsegv
Epoch:	 0
Version: 2.1
Release: 0.fdr.2%{?dist_tag}.2
License: GPL	
URL:	 http://libsigsegv.sourceforge.net/
Source:  ftp://ftp.gnu.org/pub/gnu/libsigsegv/libsigsegv-2.1.tar.gz
Group:   System Environment/Libraries	
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,


%package devel
Summary: libraries and header files
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Libraries and header files for %{name} development.


%prep
%setup -q 


%build
%configure \
  --enable-shared 

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%check || :
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*


%changelog
* Thu Jul 22 2004 Rex Dieter <rexdieter at sf.net> 0:2.1-0.fdr.2
- add URL: tag
- make check 

* Mon Apr 12 2004 Rex Dieter <rexdieter at sf.net> 0:2.1-0.fdr.1
- 2.1
- cleanup macro usage
- -devel: Requires: %%name

* Thu Oct 02 2003 Rex Dieter <rexdieter at sf.net> 0:2.0-0.fdr.1
- first try.

